#ifndef QLOPPLOTS_H
#define QLOPPLOTS_H

#include <QObject>
#include <QWidget>
#include <qlopservice.h>
#include <SocExplorerPlot.h>

class QLopPlots: public QLopService
{
    Q_OBJECT
private:
    static QLopPlots* _self;
    static SocExplorerPlot* m_SocExplorerPlot;
    static QDockWidget* m_gui;
    QLopPlots(bool noGUI=false,QObject *parent = 0);
    ~QLopPlots();

public:
    static void init(bool noGUI=false,QObject *parent = 0);
    static QLopPlots *self();
    static SocExplorerPlot* getPlot();
    // QLopService methodes
    QDockWidget* getGUI();
    const QString& serviceName();
public slots:
    SocExplorerPlot* get_plot();
public:
};

#endif // QLOPPLOTS_H
